import * as v from 'valibot';
import type { InferModelTypes } from './model';
export declare namespace DcqlMdocCredential {
    const vNamespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    const vModel: v.ObjectSchema<{
        readonly docType: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>;
    const model: import("./model").Model<v.ObjectSchema<{
        readonly docType: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>>;
    type Model = InferModelTypes<typeof model>;
    type NameSpaces = v.InferOutput<typeof vNamespaces>;
}
export type DcqlMdocCredential = DcqlMdocCredential.Model['Output'];
export declare namespace DcqlSdJwtVcCredential {
    const vClaims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql.js").Json, import("./u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
    const vModel: v.ObjectSchema<{
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql.js").Json, import("./u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>;
    const model: import("./model").Model<v.ObjectSchema<{
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql.js").Json, import("./u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>>;
    type Model = InferModelTypes<typeof model>;
    type Claims = Model['Output']['claims'];
}
export type DcqlSdJwtVcCredential = DcqlSdJwtVcCredential.Model['Output'];
export declare namespace DcqlW3cVcCredential {
    const vClaims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql.js").Json, import("./u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
    const vModel: v.ObjectSchema<{
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql.js").Json, import("./u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Output = v.InferOutput<typeof vModel>;
    const parse: (input: Input) => Output;
    type Claims = Output['claims'];
}
export type DcqlW3cVcCredential = DcqlW3cVcCredential.Output;
export declare namespace DcqlCredential {
    const vModel: v.UnionSchema<[v.ObjectSchema<{
        readonly docType: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql.js").Json, import("./u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql.js").Json, import("./u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>], undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Output = v.InferOutput<typeof vModel>;
    const parse: (input: Input) => {
        docType: string;
        namespaces: {
            [x: string]: {
                [x: string]: unknown;
            };
        };
    } | {
        claims: {
            [x: string]: import("./u-dcql.js").Json;
        };
        vct: string;
    } | {
        claims: {
            [x: string]: import("./u-dcql.js").Json;
        };
    };
}
export type DcqlCredential = DcqlCredential.Output;
//# sourceMappingURL=u-dcql-credential.d.ts.map